Subject: bug#36878: closed (Re: bug#36878: guix system reconfigure broken)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 23 Aug 2019 12:56:05 +0000

Your bug report

#36878: 'guix system reconfigure' does not reload Shepherd services

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
36878: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=36878
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#36878: guix system reconfigure broken
From: Ludovic Courtès <[email-masked]>
To: [email-masked] (Jakob L. Kreuze)
Cc: [email-masked], [email-masked], Robert Vollmert <[email-masked]>
Date: Fri, 23 Aug 2019 14:55:45 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

[email-masked] (Jakob L. Kreuze) skribis:

> [email-masked] (Jakob L. Kreuze) writes:
>
>> Great :)
>>
>> CC'ing Chris and Dave since I don't have write access -- can we
>> fast-track #36880 into master? I'd consider this to be a high-priority
>> bug fix.
>>
>> Regards,
>> Jakob
>
> The patch made it into master as 1db6f137d; thanks to Danny for signing
> off on it. Should we close this?

I gather that this particular issue is fixed, so closing the bug now!

Ludo’.

Subject: guix system reconfigure broken
From: Robert Vollmert <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 31 Jul 2019 18:18:47 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

it appears that commit 5c8c8c455420af27189d6045b3599fe6e27ad012

  guix system: Reimplement 'reconfigure’.

breaks guix system reconfigure. In particular, after reconfiguring,
shepherd doesn’t know about the updated versions of services.

The usual output below is missing; after reverting the commit it’s
fine again.

guix system: loading new services: …
To complete the upgrade, run 'herd restart SERVICE' to stop,
upgrade, and restart each service that was not automatically restarted.
shepherd: Evaluating user expression (let* ((services (map primitive-load (?))) # ?) ?).
shepherd: Service user-homes has been started.
shepherd: Service term-auto could not be started.
bootloader successfully installed on '/dev/sda’

I see that some system tests for “guix system reconfigure” were added
after this change. Might I suggest adding them before the change next
time around, and making sure they pass both before and after?

Cheers
Robert